#include "opendylan/run-time.h"

void _Init_dfmc_flow_graph_ () __attribute__((constructor));
void _Init_dfmc_flow_graph_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_namespace_();
  extern void _Init_dfmc_modeling_();
  extern void _Init_dfmc_definitions_();
  extern void _Init_dfmc_common_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_flow_graph__X_flow_graph_library_for_system();
  extern void _Init_dfmc_flow_graph__X_macros_for_system();
  extern void _Init_dfmc_flow_graph__X_temporary_for_system();
  extern void _Init_dfmc_flow_graph__X_environment_for_system();
  extern void _Init_dfmc_flow_graph__X_queue_for_system();
  extern void _Init_dfmc_flow_graph__X_computation_for_system();
  extern void _Init_dfmc_flow_graph__X_c_computation_for_system();
  extern void _Init_dfmc_flow_graph__X_utilities_for_system();
  extern void _Init_dfmc_flow_graph__X_closure_for_system();
  extern void _Init_dfmc_flow_graph__X_checker_for_system();
  extern void _Init_dfmc_flow_graph__X_walker_for_system();
  extern void _Init_dfmc_flow_graph__X_queue_ops_for_system();
  extern void _Init_dfmc_flow_graph__X_dfm_copier_for_system();
  extern void _Init_dfmc_flow_graph__X_tracing_for_system();
  extern void _Init_dfmc_flow_graph__X_flow_graph_library_for_user();
  extern void _Init_dfmc_flow_graph__X_macros_for_user();
  extern void _Init_dfmc_flow_graph__X_temporary_for_user();
  extern void _Init_dfmc_flow_graph__X_environment_for_user();
  extern void _Init_dfmc_flow_graph__X_queue_for_user();
  extern void _Init_dfmc_flow_graph__X_computation_for_user();
  extern void _Init_dfmc_flow_graph__X_c_computation_for_user();
  extern void _Init_dfmc_flow_graph__X_utilities_for_user();
  extern void _Init_dfmc_flow_graph__X_closure_for_user();
  extern void _Init_dfmc_flow_graph__X_checker_for_user();
  extern void _Init_dfmc_flow_graph__X_walker_for_user();
  extern void _Init_dfmc_flow_graph__X_queue_ops_for_user();
  extern void _Init_dfmc_flow_graph__X_dfm_copier_for_user();
  extern void _Init_dfmc_flow_graph__X_tracing_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_reader_();
    _Init_dfmc_namespace_();
    _Init_dfmc_modeling_();
    _Init_dfmc_definitions_();
    _Init_dfmc_common_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dfmc_flow_graph__X_flow_graph_library_for_system();
    _Init_dfmc_flow_graph__X_macros_for_system();
    _Init_dfmc_flow_graph__X_temporary_for_system();
    _Init_dfmc_flow_graph__X_environment_for_system();
    _Init_dfmc_flow_graph__X_queue_for_system();
    _Init_dfmc_flow_graph__X_computation_for_system();
    _Init_dfmc_flow_graph__X_c_computation_for_system();
    _Init_dfmc_flow_graph__X_utilities_for_system();
    _Init_dfmc_flow_graph__X_closure_for_system();
    _Init_dfmc_flow_graph__X_checker_for_system();
    _Init_dfmc_flow_graph__X_walker_for_system();
    _Init_dfmc_flow_graph__X_queue_ops_for_system();
    _Init_dfmc_flow_graph__X_dfm_copier_for_system();
    _Init_dfmc_flow_graph__X_tracing_for_system();
    _Init_dfmc_flow_graph__X_flow_graph_library_for_user();
    _Init_dfmc_flow_graph__X_macros_for_user();
    _Init_dfmc_flow_graph__X_temporary_for_user();
    _Init_dfmc_flow_graph__X_environment_for_user();
    _Init_dfmc_flow_graph__X_queue_for_user();
    _Init_dfmc_flow_graph__X_computation_for_user();
    _Init_dfmc_flow_graph__X_c_computation_for_user();
    _Init_dfmc_flow_graph__X_utilities_for_user();
    _Init_dfmc_flow_graph__X_closure_for_user();
    _Init_dfmc_flow_graph__X_checker_for_user();
    _Init_dfmc_flow_graph__X_walker_for_user();
    _Init_dfmc_flow_graph__X_queue_ops_for_user();
    _Init_dfmc_flow_graph__X_dfm_copier_for_user();
    _Init_dfmc_flow_graph__X_tracing_for_user();
  }
}
